import { useRouteData } from "solid-app-router";
import { createResource } from "solid-js";
import server from "solid-start/server";
import { login } from "~/server/auth";
import { withRC } from "~/util";

// TODO: This doesn't work with renderStream!
// Open up: http://localhost:3000/loginWithGet?username=admin@example.com&password=d1r3ctu5

export function routeData() {
  const loginWithGet = server(
    withRC((rc) => {
      const username = rc.url.searchParams.get("username") || "";
      const password = rc.url.searchParams.get("password") || "";

      return login(rc, username, password, "/");
    })
  );

  return createResource(loginWithGet, { deferStream: true });
}

export default () => {
  const [data] = useRouteData();
  data();
  return <div></div>;
};
